# declar
Keywords: patterns

Subsections

- Parameters

##
declar

Adds a connector from a Stratus model to the pattern interface. Writes the corresponding connector declaration in the pattern file with name, arity and direction automatically extracted from the connector properties.
Supported Stratus connectors are:

- SignalIn,
- SignalOut (only supported if used as an output),
- VddIn,
- VssIn,
- CkIn,
- SignalInOut,
- TriState (always an output),
- Signals.

### Parameters

- connector : can either be a reference to a stratus net or a string containing the name of the stratus net.
- format : optional format for the connectors values into the pattern file, accepted values are :
  - 'B': binary (default),
  - 'X': hexadecimal,
  - 'O': octal.